API referenceWhatsApp
GET /whatsapp/accounts/{id}/templates/{templateId}
One template
GET
BearerAuthheader
AuthorizationBearer <token>API key sk_...
id*stringWhatsApp account id
templateId*stringTemplate id
{accountId, template}
application/json- response
accountId?stringtemplate?curl -X GET 'https://example.com/api/v1/whatsapp/accounts/string/templates/string'Example Response
{ "accountId": "string", "template": { "id": "string", "name": "string", "language": "string", "category": "MARKETING", "status": "string", "components": [ {} ], "qualityScore": null, "rejectedReason": "string", "parameterFormat": "POSITIONAL" }}POST /whatsapp/accounts/{id}/templates POST
Submit a template for review (status PENDING; template.status reports the decision)
DELETE /whatsapp/accounts/{id}/templates/{templateId} DELETE
Delete this template (this language); allLanguages=true deletes every language of its name. name skips looking the name up